### Method

# RB History set_destroy_notify

#### Declaration [src]

    void
    rb_history_set_destroy_notify (
      RBHistory* hist,
      GFunc destroyer,
      gpointer destroy_userdata
    )

#### Description [src]

Sets a new function to call when removing entries from the history.

#### Parameters

`destroyer`

  Type: `GFunc`

  Function to call when removing an entry from the history.

`destroy_userdata`

  Type: `gpointer`

  Data to pass to `destroyer`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.